# Data Object - VMwareVspanSession(vim.dvs.VmwareDistributedVirtualSwitch.VspanSession)

Property of
  VMwareDVSConfigInfo, VMwareDVSVspanConfigSpec
Extends
  DynamicData
See also
  VMwareVspanPort
Since
  vSphere API 5.0

## Data Object Description

The VMwareVspanSession data object defines the configuration of a VLAN Services and Protocols for Advanced Networks (VSPAN) session. You use a VSPAN session for the following operations:

- To mirror network traffic (inbound/outbound) from a set of source entities to a set of destination entities.
- To assist in troubleshooting.
- As input for security and other network analysis appliances.

The type of entities that you can specify as source or destination is determined by the session type. You can use uplink distributed virtual ports only for mixed destination mirror VSPAN sessions (mixedDestMirror). For all sessions except mixedDestMirror sessions, you cannot use uplink distributed virtual ports as destination ports. sessionType is required for vSphere Distributed Switch 5.1 and later, ignored for prior version if set.

Session Type | Source | Destination
--- | --- | ---
mixedDestMirror | Distributed Ports | Distributed Ports + Uplink Ports Name
dvPortMirror | Distributed Ports | Distributed Ports
remoteMirrorSource | Distributed Ports | Uplink Ports Name
remoteMirrorDest | VLAN | Distributed Ports
encapRemoteMirrorSource | Distributed Ports | IP address

Properties

Name | Type | Description
--- | --- | ---
description* | xsd:string | The description for the session.
destinationPort* | VMwareVspanPort | Destination ports that received the mirrored packets. You cannot use wild card ports as destination ports. If wildcardPortConnecteeType is set in the value, the reconfigure operation will raise a fault. Also any port designated in the value of this property can not match the wild card source port in any of the Distributed Port Mirroring session.
enabled | xsd:boolean | Whether the session is enabled.
encapsulationVlanId* | xsd:int | VLAN ID used to encapsulate the mirrored traffic.
encapType* | xsd:string | Encapsulation type of the session. See VMwareDVSVspanSessionEncapType for valid values. Default value is encapProtocolGRE if unspecified in a VSPAN create operation. Since vSphere API 6.5
erspanCOS* | xsd:int | Class of Service of the monitored frame. Valid values are between 0 to 7, and default value is 0. This value is applicable only if encaptType is VspanSessionEncapType#erspan2 or VspanSessionEncapType#erspan3 Since vSphere API 6.5
erspanGraNanosec* | xsd:boolean | Timestamp Granularity. If the value is false, timestamp-granularity will be microsecond. Otherwise the timestamp-granularity will be nanosecond This value is applicable only if encaptType is VspanSessionEncapType#erspan3 Since vSphere API 6.5
erspanId* | xsd:int | ERSPAN ID of the session. Valid values are between 0 to 0x3ff, and default value is 0. This value is applicable only if encaptType is VspanSessionEncapType#erspan2 or VspanSessionEncapType#erspan3 Since vSphere API 6.5
key* | xsd:string | The generated key as the identifier for the session.
mirroredPacketLength* | xsd:int | An integer that describes how much of each frame to mirror. If unset, all of the frame would be mirrored. Setting this property to a smaller value is useful when the consumer will look only at the headers. The value cannot be less than 60.
name* | xsd:string | The display name.
netstack* | xsd:string | Netstack instance of the session. Since vSphere API 6.7
normalTrafficAllowed | xsd:boolean | Whether or not destination ports can send and receive "normal" traffic. Setting this to false will make mirror ports be used solely for mirroring and not double as normal access ports.
samplingRate* | xsd:int | Sampling rate of the session. If its value is n, one of every n packets is mirrored. Valid values are between 1 to 65535, and default value is 1. Since vSphere API 5.1
sessionType* | xsd:string | Type of the session. See VMwareDVSVspanSessionType for valid values. Default value is mixedDestMirror if unspecified in a VSPAN create operation. Since vSphere API 5.1
sourcePortReceived* | VMwareVspanPort | Source ports for which received packets are mirrored.
sourcePortTransmitted* | VMwareVspanPort | Source ports for which transmitted packets are mirrored.
stripOriginalVlan | xsd:boolean | Whether to strip the original VLAN tag. if false, the original VLAN tag will be preserved on the mirrored traffic. If encapsulationVlanId has been set and this property is false, the frames will be double tagged with the original VLAN ID as the inner tag.
Properties inherited from DynamicData
None

*Need not be set
Show WSDL type definition
<complexType xmlns="http://www.w3.org/2001/XMLSchema" xmlns:vsan="urn:vsan" name="VMwareVspanSession"> <complexContent> <extension base="vsan:DynamicData"> <sequence> <element name="key" type="xsd:string" minOccurs="0"/> <element name="name" type="xsd:string" minOccurs="0"/> <element name="description" type="xsd:string" minOccurs="0"/> <element name="enabled" type="xsd:boolean"/> <element name="sourcePortTransmitted" type="vsan:VMwareVspanPort" minOccurs="0"/> <element name="sourcePortReceived" type="vsan:VMwareVspanPort" minOccurs="0"/> <element name="destinationPort" type="vsan:VMwareVspanPort" minOccurs="0"/> <element name="encapsulationVlanId" type="xsd:int" minOccurs="0"/> <element name="stripOriginalVlan" type="xsd:boolean"/> <element name="mirroredPacketLength" type="xsd:int" minOccurs="0"/> <element name="normalTrafficAllowed" type="xsd:boolean"/> <element name="sessionType" type="xsd:string" minOccurs="0"/> <element name="samplingRate" type="xsd:int" minOccurs="0"/> <element name="encapType" type="xsd:string" minOccurs="0"/> <element name="erspanId" type="xsd:int" minOccurs="0"/> <element name="erspanCOS" type="xsd:int" minOccurs="0"/> <element name="erspanGraNanosec" type="xsd:boolean" minOccurs="0"/> <element name="netstack" type="xsd:string" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType>